Bug 183666 - Compiled-in bxe(4) breaks kgzip(1) kernel
Summary: Compiled-in bxe(4) breaks kgzip(1) kernel
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.4-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-04 21:10 UTC by Devin Teske
Modified: 2019-05-24 05:35 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Teske freebsd_committer 2013-11-04 21:10:01 UTC
Compiling bxe(4) into a custom kernel and then attempting to compress the kernel with kgzip(1) results in an unusable kernel that causes BTX Halt in loader(8) upon execution.

Fix: 

Remove the bxe(4) driver from your custom kernel. kgzip(1) kernel now works. Not sure what is wrong with the layout of the bxe(4) driver, but it breaks the ability to utilize kgzip(1) -- which can reduce your monolithic custom kernels to about 1/3rd their original size (making them excellent for installer media).
How-To-Repeat: Compile bxe(4) into a custom kernel. Compress the kernel with kgzip(1). Make sure you have rescue media or a backout strategy (because the kernel won't boot). Reboot to kgzip(1)'d kernel. Die at the loader(8) BTX Halt (after the beastie menu, at the time the loaded kernel is executed).
Comment 1 Eric Davis freebsd_committer 2014-03-11 18:33:31 UTC
State Changed
From-To: open->analyzed


The bxe driver has been re-written and committed. This new 
driver contains support for many new devices thereby adding 
a couple more very large firmware blob arrays embedded in 
the driver. 

bxe need to be modified to support the firmware(9) interface.
Comment 2 Eric Davis freebsd_committer 2014-03-11 18:38:38 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net


changed responsible to -net
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:00 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 4 commit-hook freebsd_committer 2019-05-24 05:34:32 UTC
A commit references this bug:

Author: delphij
Date: Fri May 24 05:34:23 UTC 2019
New revision: 348225
URL: https://svnweb.freebsd.org/changeset/base/348225

Log:
  Remove kgzip and kgzldr.

  PR:		183666, 229763
  Submitted by:	Yoshihiro Ota <ota at j.email.ne.jp>
  Differential Revision:	https://reviews.freebsd.org/D20248

Changes:
  head/ObsoleteFiles.inc
  head/stand/i386/Makefile
  head/stand/i386/kgzldr/
  head/targets/pseudo/userland/Makefile.depend
  head/targets/pseudo/userland/misc/Makefile.depend
  head/usr.sbin/Makefile.amd64
  head/usr.sbin/Makefile.i386
  head/usr.sbin/kgzip/